Subject: Re: pathname conversion
From: [email-masked] (Chris Faylor)

26 Sep 1997 09:18:33 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
To: [email-masked]

In article <[email-masked]>,
banders  <[email-masked]> wrote:
>Chris Faylor wrote:
>> In article <[email-masked]>,
>> Sergey Okhapkin  <[email-masked]> wrote:
>>>Fabrice.Popineau wrote:
>>>> Cygnus's goal was to allow Unix programs to run unmodified on NT.
>>>> But there is a need too for Gnu utilities to run under Win32, with
>>>> Win32 specifics. Emacs was ported and sources include Win32 and Unix
>>>
>>>I can't understand the discussion about pthnames at all...  Gnu-win32
>>>tools allows to use both unix and win32 name conventions:
>>>
>>>H:\>ls -l h:\site total 1110 -rwxrwxrwx 1 Administ Domain A 320512 Jul
>>>05 00:00 bash.exe
>>[snip]
>>
>>I think that the main complaint is that this won't work under bash.
>>And, something like:
>>
>>         write /etc/passwd
>
>Doesn't seem to be a problem with the cygwin stuff since this was
>written by some non gnuwin32 developer.  So you could patch write to
>use the path conversion utilities (everybody patches executables, don't
>they?).

Ok.  I've patched my version and it seems to work pretty well.

Here are the commands I used:

	bash
	cp /usr/local/bin/vim.exe /winnt35/system32/WRITE.EXE

Now I can edit files with WRITE using unix style filenames and commands!
-- 
http://www.bbc.com/	[email-masked]			"Strange how unreal
VMS=>UNIX Solutions	Boston Business Computing	 the real can be."
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".